Bug 1049074 - [GSS] (6.2.x) Logging deployment unit processor (DUP) leaking class loaders
Summary: [GSS] (6.2.x) Logging deployment unit processor (DUP) leaking class loaders
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.2.1
Assignee: James Perkins
QA Contact: Nikoleta Hlavickova
Russell Dickenson
URL:
Whiteboard:
Depends On: 1038305
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-06 23:28 UTC by James Perkins
Modified: 2018-12-04 16:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, when per-deployment logging or logging-profiles were used on a deployment, the undeploy was not removing the class loaders from the LogContextSelector. This was because the ClassLoaderLogContextSelector used the call stack to determine the LogContext. In this release, the correct LogContext is attached to the DeploymentUnit. During the undeploy the LogContext is now removed from the selector using the LogContext attached to the deployment rather than relying on the class loader of the deployment. Class loaders are now removed as expected on undeploy.
Clone Of: 1038305
Environment:
Last Closed: 2014-02-24 20:15:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2595 Critical Resolved Logging DUP leaking class loaders 2017-03-16 11:42:18 UTC
Red Hat Bugzilla 1038305 None None None Never

Description James Perkins 2014-01-06 23:28:04 UTC
+++ This bug was initially created as a clone of Bug #1038305 +++

When per-deployment logging or logging-profiles are used on a deployment the undeploy is not removing the class loaders from the LogContextSelector.

The error appeared when the switch was made to use the ClassLoaderLogContextSelector which uses the call stack to determine the LogContext. The commit hash is 526c2ae7a4194dc6b787c32c5218cea003276900 that introduced the error.

The bug appears in 6.1.x and 6.2.x.

Comment 3 Scott Mumford 2014-01-21 03:40:21 UTC
Marking for inclusion in 6.2.1 release notes.

Comment 4 Scott Mumford 2014-01-24 01:20:09 UTC
Set 'Version' field to ensure this ticket appears in documentation effort dashboards.

Comment 5 Scott Mumford 2014-01-24 02:25:53 UTC
Hi James. Can I ask you to supply a 'fix' for this issue in the draft release note in the Doc Text field above please? I can't see any reference as to how this was resolved.

All help is appreciated.

Comment 6 James Perkins 2014-01-24 17:00:42 UTC
Updated, hopefully it makes sense.

Comment 7 Scott Mumford 2014-01-27 22:49:41 UTC
Thanks for the content James.

Formatted release note text for publican and marked for inclusion in the final document.

Comment 8 Nikoleta Hlavickova 2014-01-29 07:48:18 UTC
Verified with 6.2.1.CP.CR1-patch.


Note You need to log in before you can comment on or make changes to this bug.